/*
 * Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
 *
 * This file is part of GPXView.
 *
 * GPXView is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * GPXView is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef GCONF_H
#define GCONF_H

#define PROXY_KEY  "/system/http_proxy/"

typedef struct proxy_s {
  char *authentication_password, *authentication_user;
  char *host;
  char *ignore_hosts;
  gint port;
  gboolean use_authentication;
} proxy_t;

void gconf_save_state(appdata_t *appdata);
void gconf_load_state(appdata_t *appdata);
void gconf_save_closed_name(appdata_t *appdata, char *filename, char *name);
char *gconf_restore_closed_name(appdata_t *appdata, char *filename);
void gconf_remove_closed_name(appdata_t *appdata, char *filename);

#endif //GCONF_H
