/*
 * Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
 *
 * This file is part of GPXView.
 *
 * GPXView is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * GPXView is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef HTML_H
#define HTML_H

typedef enum { HTML_PLAIN_TEXT, HTML_HTML, HTML_CUSTOM_MARKUP } html_mode_t;

GtkWidget *html_view(appdata_t *appdata, char *text, 
		     html_mode_t mode, gboolean scrollwin,
		     cache_t *cache, char *anchor);
void html_zoom(appdata_t *appdata, gboolean in);
void html_copy_to_clipboard(appdata_t *appdata);

struct html_view {
  GtkWidget *view;
  struct html_view *next;
};

#endif // HTML_H
