/*
 * Copyright (C) 2009 Till Harbaum <till@harbaum.org>.
 *
 * This file is part of GPXView.
 *
 * GPXView is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * GPXView is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MAP_TOOL_H
#define MAP_TOOL_H

typedef enum { MAP_NONE=0, MAP_ALL, MAP_GPX, MAP_CACHE, MAP_SEARCH } map_state_t;

typedef struct {
  char *id;
} cache_display_t;

typedef struct map_context_s {
  appdata_t *appdata;
  GtkWidget *window;
  GtkWidget *widget;
  gint handler_id;
  cache_t *balloon, *press_on;
  map_state_t state;
  void *cb_id;

  gboolean goto_is_enabled;

  int cache_list_len;
  cache_display_t *caches_displayed;

#if MAEMO_VERSION_MAJOR == 5
  GtkWidget *old_view;
#endif

  /* save various values defining the overlay state */
  /* in order to repaint the overlays only if necessary */

} map_context_t;


extern void map(appdata_t *appdata);
extern void map_update(appdata_t *appdata);

#endif // MAP_TOOL_H
